Bug 1085554 (CVE-2014-0170) - CVE-2014-0170 Teiid: XML eXternal Entity (XXE) flaw in SQL/XML parsing
Summary: CVE-2014-0170 Teiid: XML eXternal Entity (XXE) flaw in SQL/XML parsing
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-0170
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140923,repor...
Depends On: 1085556
Blocks: 1084867 1141991
TreeView+ depends on / blocked
 
Reported: 2014-04-08 22:23 UTC by Pavel Polischouk
Modified: 2019-06-08 19:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was found that Teiid SQL/XML permitted XML eXternal Entity (XXE) attacks. If a REST endpoint was deployed, a remote attacker could submit a request containing an external XML entity that, when resolved, allowed that attacker to read files on the application server in the context of the user running that server.
Clone Of:
Environment:
Last Closed: 2014-09-23 22:04:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1284 normal SHIPPED_LIVE Moderate: Red Hat JBoss Data Virtualization 6.0.0 security update 2014-09-23 22:10:42 UTC
JBoss Issue Tracker TEIID-2911 Critical Closed Guard against external entity resolving 2016-11-28 10:31:50 UTC

Description Pavel Polischouk 2014-04-08 22:23:06 UTC
IssueDescription:

It was found that Teiid SQL/XML permitted XML eXternal Entity (XXE) attacks. If a REST endpoint was deployed, a remote attacker could submit a request containing an external XML entity that, when resolved, allowed that attacker to read files on the application server in the context of the user running that server.

Comment 2 JBoss JIRA Server 2014-04-15 16:31:40 UTC
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-2911 to Resolved

Comment 3 JBoss JIRA Server 2014-07-11 06:44:35 UTC
David Jorm <djorm@redhat.com> updated the status of jira TEIID-2911 to Reopened

Comment 4 JBoss JIRA Server 2014-07-11 06:54:54 UTC
David Jorm <djorm@redhat.com> updated the status of jira TEIID-2911 to Resolved

Comment 5 JBoss JIRA Server 2014-07-11 15:39:42 UTC
Johnathon Lee <jolee@redhat.com> updated the status of jira TEIID-2911 to Reopened

Comment 6 JBoss JIRA Server 2014-07-11 15:40:02 UTC
Johnathon Lee <jolee@redhat.com> updated the status of jira TEIID-2911 to Closed

Comment 8 Martin Prpič 2014-09-16 07:22:17 UTC
Acknowledgements:

This issue was discovered by David Jorm of Red Hat Product Security.

Comment 9 errata-xmlrpc 2014-09-23 18:10:49 UTC
This issue has been addressed in the following products:

  JBoss Data Virtualization 6.0.0

Via RHSA-2014:1284 https://rhn.redhat.com/errata/RHSA-2014-1284.html


Note You need to log in before you can comment on or make changes to this bug.